'use strict';

process.chdir(__dirname);
const fs = require('fs');

fs.writeFileSync('pid.txt', process.pid);

const path = require('path');
const config = require('komodo-sdk/config');

if (!config
    || !config.modem
    || !config.modem.device
    || !fs.existsSync(config.modem.device)
) {
    process.exit(4);
}

process.title = (typeof config.name === 'string' && config.name.trim())
    ? config.name.toUpperCase()
    : `MODEM-${path.basename(config.modem.device).replace('tty', '').toUpperCase()}`;

global.KOMODO_LOG_LABEL = (typeof config.name === 'string' && config.name.trim())
    ? `KOMODO-MODEM@${config.name.toUpperCase()}`
    : `KOMODO-MODEM@${path.basename(config.modem.device).replace('tty', '').toUpperCase()}`;

require('./lib/http-command-server');

// require('./lib/modem');
require('./lib/bootstrap');
