const express = require('express');

const logger = require('komodo-sdk/logger');

const modem = require('../modem-commands');

const router = express.Router();
module.exports = router;

async function handlerIndex(req, res) {
    logger.verbose('ROUTER-SMS: Got a request to send sms', { destination: req.query.number, msg: req.query.msg, xid: res.locals.xid });

    if (!req.query || !req.query.number || !req.query.msg) {
        res.json({
            status: 'NOT-OK',
            error: 'INVALID-PARAMETER',
            message: 'Invalid parameter. Missing number or msg parameter.',
        });
        return;
    }

    res.json({
        status: 'OK',
        error: false,
        message: 'Message queued.',
    });

    const result = await modem.sendSMS(req.query.number, req.query.msg);

    logger.verbose('ROUTER-SMS: Finished sending SMS', {
        destination: req.query.number, msg: req.query.msg, xid: res.locals.xid, result,
    });
}

router.get('/', handlerIndex);
